/*******************************************************************************
* YORKTOWN ADVANCED SGML PARSER (YASP)                                         *
*         An SGML Parser conforming to International Standard ISO 8879 --      *
*         Standard Generalized Markup Language                                 *
*------------------------------------------------------------------------------*
* Written 1987 - 1993 by                                                       *
*         Pierre G. Richard                                                    *
*         IBM T.J. Watson Research Center                                      *
*         Yorktown Heights, New York                                           *
*         petrus@watson.ibm.com                                                *
*------------------------------------------------------------------------------*
* FUNCTION NAME    = YASP / Header File                                        *
* STATUS           = Version 0, Release 1, Level 36 and up                     *
* COMPONENT NAME   = teller.h                                                  *
* DESCRIPTIVE NAME = teller COMMON block and functions                         *
* DATE_WR          = 05/04/1989                                                *
* AUTHOR           = Pierre G. Richard - PETRUS at YKTVMX                      *
*                                                                              *
* FUNCTIONAL DESCRIPTION =                                                     *
* IMPLEMENTATION NOTES =                                                       *
* CHANGE HISTORY =                                                             *
*******************************************************************************/

extern void    P_FCT tll_init   (void);
extern void    P_FCT tll_STG    (GA_P, DED *);
extern void    P_FCT tll_ETG    (GA_P, DED *);
extern void    P_FCT tll_DATA   (GA_P, uchar *, uint, POS *);
extern void    P_FCT tll_RE     (GA_P, POS *);
extern void    P_FCT tll_PI     (GA_P, uchar *, uint);
extern ETY *   P_FCT tll_ePI    (GA_P, ETY *);
extern ETY *   P_FCT tll_ETY    (GA_P, ETY *);
extern void    P_FCT tll_MAP    (GA_P, SRM *);
extern void    P_FCT tll_SR     (GA_P, SRM *, int);
extern void    P_FCT tll_NGML   (GA_P);
extern void    P_FCT tll_SKIP   (GA_P, SDC);
extern void    P_FCT tll_DECB   (GA_P);
extern void    P_FCT tll_DTDB   (GA_P, POS *);
extern void    P_FCT tll_DTDN   (GA_P, uchar *);
extern void    P_FCT tll_PROB   (GA_P);
extern void    P_FCT tll_PRON   (GA_P, ELT *);
extern void    P_FCT tll_ETDCST (GA_P);
extern void    P_FCT tll_ETDCND (GA_P, ETY *);
extern void    P_FCT tll_NTDCST (GA_P);
extern void    P_FCT tll_NTDCND (GA_P, NCB *);
extern void    P_FCT tll_ELDCST (GA_P);
extern void    P_FCT tll_ELDCND (GA_P, ELT *, uint);
extern void    P_FCT tll_AEDCST (GA_P);
extern void    P_FCT tll_AEDCND (GA_P, ELT *, uint);
extern void    P_FCT tll_ANDCST (GA_P);
extern void    P_FCT tll_ANDCND (GA_P, NCB *, uint);
extern void    P_FCT tll_DOCN   (GA_P);
extern boolean P_FCT tll_DAPN   (GA_P);
/******************************************************************************/
